using System;
class Program {
    static int Slovo_U_Broj(char s)
    {
      if(s == '9'){return 9;}
      if(s == '8'){return 8;}
      if(s == '7'){return 7;}
      if(s == '6'){return 6;}
      if(s == '5'){return 5;}
      if(s == '4'){return 4;}
      if(s == '3'){return 3;}
      if(s == '2'){return 2;}
      if(s == '1'){return 1;}
      if(s == '0'){return 0;}
      return 0;
    }
    static void Main(string[] args) {
        string a = Console.ReadLine();
        string b = Console.ReadLine();
        string c = "";
      if(a.Length > b.Length)
      {
       for(int i = 0;i<a.Length-b.Length;i++)
       {
         c += a[i]; 
       }
        int konst = a.Length-b.Length;
        for(int i = 0;i<b.Length;i++)
        {
          int b_broj = Slovo_U_Broj(b[i]);
          int a_broj = Slovo_U_Broj(a[i+konst]);
          if(a_broj > b_broj){c += a[i+konst];}
          else if(b_broj > a_broj){c += b[i];}
          else{c += a[i+konst];c += b[i];}
        }
      }
      else if(a.Length < b.Length)
      {
        for(int i = 0;i<b.Length-a.Length;i++)
       {
         c += b[i]; 
       }
        int konst = b.Length-a.Length;
        for(int i = 0;i<a.Length;i++)
        {
          int b_broj = Slovo_U_Broj(b[i+konst]);
          int a_broj = Slovo_U_Broj(a[i]);
          if(a_broj > b_broj){c += a[i];}
          else if(b_broj > a_broj){c += b[i+konst];}
          else{c += a[i];c += b[i+konst];}
        }
      }else
      {
        for(int i = 0;i<a.Length;i++)
        {
          int b_broj = Slovo_U_Broj(b[i]);
          int a_broj = Slovo_U_Broj(a[i]);
          if(a_broj > b_broj){c += a[i];}
          else if(b_broj > a_broj){c += b[i];}
          else{c += a[i];c += b[i];}
        }
      }
      Console.WriteLine(c);
    }
}